modules/avored/banner/routes/web.php
<?php
use Illuminate\Support\Facades\Route;

$baseAdminUrl = config('avored-framework.admin_url');


Route::middleware(['web', 'admin.auth', 'permission'])
    ->prefix($baseAdminUrl)
    ->namespace('AvoRed\Banner\Http\Controllers')
    ->name('admin.')
    ->group(function () {


        Route::get('banner',  'BannerController@index')
                        ->name('banner.index');

        Route::get('banner/create',  'BannerController@create')
            ->name('banner.create');
        Route::post('banner',  'BannerController@store')
            ->name('banner.store');


        Route::get('banner/{banner}/edit',  'BannerController@edit')
            ->name('banner.edit');
        Route::put('banner/{banner}',  'BannerController@update')
            ->name('banner.update');

        Route::delete('banner/{banner}',  'BannerController@destroy')
            ->name('banner.destroy');

        Route::get('banner/{banner}',  'BannerController@show')
            ->name('banner.show');

    });

modules/avored/banner/resources/views/banner/_fields.blade.php
@include('avored-framework::forms.text',['name' => 'name','label' => __('avored-banner::banner.name')])




@include('avored-framework::forms.file',['name' => 'image','label' => __('avored-banner::banner.image-path')])
@include('avored-framework::forms.text',['name' => 'alt_text','label' => __('avored-banner::banner.atl-text')])


@include('avored-framework::forms.text',['name' => 'url','label' => __('avored-banner::banner.url')])

@include('avored-framework::forms.select',['name' => 'target',
                                            'label' => __('avored-banner::banner.target'),
                                            'options' => ['' => 'Normal Link','_target' => 'New Window']
                                        ])


@include('avored-framework::forms.select',['name' => 'status',
                                            'label' => __('avored-banner::banner.status'),
                                            'options' => ['ENABLED' => 'Enabled','DISABLED' => 'Disabled']])

@include('avored-framework::forms.text',['name' => 'sort_order','label' => __('avored-banner::banner.sort-order')])

modules/avored/banner/resources/views/banner/create.blade.php
@extends('avored-framework::layouts.app')

@section('content')

    <div class="row">
        <div class="col-12">
            <h1>{{ __('avored-banner::banner.banner-create') }}</h1>

            <div class="card">
                <div class="card-body">

                    <form action="{{ route('admin.banner.store') }}" enctype="multipart/form-data" method="post">
                        @csrf

                        @include('avored-banner::banner._fields')

                        <div class="form-group">
                            <button class="btn btn-primary" type="submit">
                                {{ __('avored-banner::banner.banner-create') }}
                            </button>
                            <a href="{{ route('admin.banner.index') }}" class="btn">
                                {{ __('avored-framework::lang.cancel') }}
                            </a>
                        </div>

                    </form>
                </div>
            </div>

        </div>
    </div>
@endsection

modules/avored/banner/resources/views/banner/edit.blade.php
@extends('avored-framework::layouts.app')

@section('content')

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    {{ __('avored-banner::banner.banner-update') }}
                </div>
                <div class="card-body">
                    <form action="{{ route('admin.banner.update', $model->id) }}" enctype="multipart/form-data" method="post">
                        @csrf
                        @method('put')

                        @include('avored-banner::banner._fields')

                        <div class="form-group">
                            <button class="btn btn-primary" type="submit">
                                {{ __('avored-banner::banner.banner-update') }}
                            </button>
                            <a href="{{ route('admin.banner.index') }}" class="btn">
                                {{ __('avored-framework::lang.cancel') }}
                            </a>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

modules/avored/banner/resources/views/banner/index.blade.php
@extends('avored-framework::layouts.app')

@section('content')
    <div class="container">
        <div class="h1">
            {{ __('avored-banner::banner.banner-list') }}

            <a href="{{ route('admin.banner.create') }}"
               class="float-right btn btn-primary">
                {{  __('avored-banner::banner.banner-create') }}
            </a>

        </div>
        {!! DataGrid::render($dataGrid) !!}
    </div>
@stop

modules/avored/banner/resources/views/banner/show.blade.php
@extends('avored-framework::layouts.app')
@section('content')
    <div class="card">
        <div class="card-header">
            Banner Details
        </div>

        <div class="card-body table-bordered">
            <table class="table">
                <tr>
                    <td>Name</td>
                    <td>{{ $banner->name }}</td>
                </tr>
                
                <tr>
                    <td>Image</td>
                    <td><img src="{{ asset($banner->image_path) }}" style="max-height:100px" /></td>
                </tr>

                <tr>
                    <td>Alt Text</td>
                    <td>{{ $banner->alt_text }}</td>
                </tr>
                
                <tr>
                    <td>Url</td>
                    <td>{{ $banner->url }}</td>
                </tr>
                
                <tr>
                   <td>Target</td>
                   <td>{{ $banner->target }}</td>
                </tr>
               
                <tr>
                   <td>Status</td>
                   <td>{{ $banner->status }}</td>
                </tr>
               
                <tr>
                   <td>Sort Order</td>
                   <td>{{ $banner->sort_order }}</td>
                </tr>
               
            </table>

            <div class="float-left">
            
                <form method="post" action="{{ route('admin.banner.destroy', $banner->id)  }}">
                    @csrf()
                    @method('delete')
                    <button
                        onClick="event.preventDefault(); 
                                    swal({
                                        dangerMode: true,
                                        title: 'Are you sure?',
                                        icon: 'warning',
                                        buttons: true,
                                        text: 'Once deleted, you will not be able to recover this Page!',
                                    }).then((willDelete) => {
                                        if (willDelete) {
                                            jQuery(this).parents('form:first').submit();
                                        }
                                    });"    
                        class="btn btn-danger" >
                        Destroy
                    </button>
                </form>
               
            </div>
            <a class="btn" href="{{ route('admin.banner.index') }}">Cancel</a>
        </div>
    </div>

@stop

modules/avored/banner/resources/views/widget/index.blade.php
<div class="row">
    <div class="col-md-12">
        <div class="h2">Home Page Banner</div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
    <div id="avored-banner-slider" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">

            @foreach($banners as $banner)
                @php
                    if($loop->index ==0) {
                        $class = "active";
                    } else {
                        $class = "";
                    }
                @endphp
                <li data-target="#avored-banner-slider" data-slide-to="{{ $loop->index }}" class="{{ $class }}" ></li>
            @endforeach

        </ol>


        <div class="carousel-inner" style="max-height: 400px" role="listbox">

            @foreach($banners as $banner)
                @php
                    if($loop->index ==0) {
                        $class = "active";
                    } else {
                        $class = "";
                    }
                @endphp


                <div class="carousel-item {{ $class }}">
                    <img class="d-block img-fluid" style="max-height: 300px;width: 100%"
                         src="{{ asset($banner->image_path) }}"
                         alt="{{ $banner->alt_text }}">

                    <div class="carousel-caption d-none d-md-block">
                        <h3>{{ $banner->alt_text }}</h3>

                        @if(null != $banner->url)
                        <a class="btn btn-primary" href="{{ $banner->url }}">Shop Now</a>
                        @endif
                    </div>
                </div>

            @endforeach

        </div>
        <a class="carousel-control-prev" href="#avored-banner-slider"  data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#avored-banner-slider" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>

    </div>
</div>